Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160552 - No core from abort with LD_ASSUME_KERNEL=2.4.1
Summary: No core from abort with LD_ASSUME_KERNEL=2.4.1
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Don Howard
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-15 19:24 UTC by Erik Kane
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-19 19:00:05 UTC


Attachments (Terms of Use)
sample file and steps to reproduce (deleted)
2005-06-15 19:28 UTC, Erik Kane
no flags Details

Description Erik Kane 2005-06-15 19:24:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
On RHEL3 when LD_ASSUME_KERNEL=2.4.1 no core file is generated by abort,
there should be a core file.

Version-Release number of selected component (if applicable):
kernel-smp-2.4.21-15.0.3.EL.i686

How reproducible:
Always

Steps to Reproduce:
1.see attached file no_core.tar.bz2
2.
3.
  

Additional info:

Comment 1 Erik Kane 2005-06-15 19:28:40 UTC
Created attachment 115499 [details]
sample file and steps to reproduce

Environment:
kernel-smp-2.4.21-15.0.3.EL.i686
glibc-2.3.2-95.30.i686
gcc-3.2.3-34.i386

Comment 3 RHEL Product and Program Management 2007-10-19 19:00:05 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.